diff --git a/src/main/java/net/minecraft/client/render/block/model/DoorBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelDoor.java
similarity index 95%
rename from src/main/java/net/minecraft/client/render/block/model/DoorBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelDoor.java
index 7af28c992..a3ca032ef 100644
--- a/src/main/java/net/minecraft/client/render/block/model/DoorBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelDoor.java
@@ -5,11 +5,11 @@ import net.minecraft.client.render.RenderBlocks;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.DoorBlock;
+import net.minecraft.core.block.BlockDoor;
 import net.minecraft.core.util.helper.Side;
 
-public class DoorBlockModel<T extends DoorBlock> extends StandardBlockModel<T> {
-    public DoorBlockModel(Block block) {
+public class BlockModelDoor<T extends BlockDoor> extends BlockModelStandard<T> {
+    public BlockModelDoor(Block block) {
         super(block);
     }
     
@@ -43,8 +43,8 @@ public class DoorBlockModel<T extends DoorBlock> extends StandardBlockModel<T> {
 			sideEastWest = 0.6f;
 		}
 		
-		boolean aboveIsDoor = renderBlocks.blockAccess.getBlock(x, y + 1, z) instanceof DoorBlock;
-		boolean belowIsDoor = renderBlocks.blockAccess.getBlock(x, y - 1, z) instanceof DoorBlock;
+		boolean aboveIsDoor = renderBlocks.blockAccess.getBlock(x, y + 1, z) instanceof BlockDoor;
+		boolean belowIsDoor = renderBlocks.blockAccess.getBlock(x, y - 1, z) instanceof BlockDoor;
 
 		int meta = renderBlocks.blockAccess.getBlockMetadata(x, y, z);
 		
diff --git a/src/main/java/net/minecraft/client/render/block/model/GlassDoorBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelDoorGlass.java
similarity index 61%
rename from src/main/java/net/minecraft/client/render/block/model/GlassDoorBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelDoorGlass.java
index 2e7b055ad..a2c5ba964 100644
--- a/src/main/java/net/minecraft/client/render/block/model/GlassDoorBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelDoorGlass.java
@@ -1,11 +1,11 @@
 package net.minecraft.client.render.block.model;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.DoorBlock;
+import net.minecraft.core.block.BlockDoor;
 import net.minecraft.core.util.helper.Side;
 
-public class GlassDoorBlockModel<T extends DoorBlock> extends DoorBlockModel<T> {
-    public GlassDoorBlockModel(Block block) {
+public class BlockModelDoorGlass<T extends BlockDoor> extends BlockModelDoor<T> {
+    public BlockModelDoorGlass(Block block) {
         super(block);
     }
     @Override
diff --git a/src/main/java/net/minecraft/client/render/block/model/PaintedDoorBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelDoorPainted.java
similarity index 89%
rename from src/main/java/net/minecraft/client/render/block/model/PaintedDoorBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelDoorPainted.java
index 790e71498..61dd40e60 100644
--- a/src/main/java/net/minecraft/client/render/block/model/PaintedDoorBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelDoorPainted.java
@@ -3,12 +3,12 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.DoorBlock;
+import net.minecraft.core.block.BlockDoor;
 import net.minecraft.core.util.helper.Axis;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.Side;
 
-public class PaintedDoorBlockModel<T extends DoorBlock> extends DoorBlockModel<T> {
+public class BlockModelDoorPainted<T extends BlockDoor> extends BlockModelDoor<T> {
     public static final IconCoordinate[] doorBottomTextures = new IconCoordinate[DyeColor.COLOR_AMOUNT];
     public static final IconCoordinate[] doorTopTextures = new IconCoordinate[DyeColor.COLOR_AMOUNT];
     public static final IconCoordinate[] frameTopTextures = new IconCoordinate[DyeColor.COLOR_AMOUNT];
@@ -21,7 +21,7 @@ public class PaintedDoorBlockModel<T extends DoorBlock> extends DoorBlockModel<T
         }
     }
     private final boolean isTop;
-    public PaintedDoorBlockModel(Block block, boolean isTop) {
+    public BlockModelDoorPainted(Block block, boolean isTop) {
         super(block);
         this.isTop = isTop;
     }
diff --git a/src/main/java/net/minecraft/client/render/block/model/EmptyBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelEmpty.java
similarity index 88%
rename from src/main/java/net/minecraft/client/render/block/model/EmptyBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelEmpty.java
index 0ebe57995..4364c2b58 100644
--- a/src/main/java/net/minecraft/client/render/block/model/EmptyBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelEmpty.java
@@ -6,8 +6,8 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 import org.jetbrains.annotations.Nullable;
 
-public class EmptyBlockModel extends StandardBlockModel<Block> {
-    public EmptyBlockModel(Block block) {
+public class BlockModelEmpty extends BlockModelStandard<Block> {
+    public BlockModelEmpty(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/FarmlandBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelFarmland.java
similarity index 86%
rename from src/main/java/net/minecraft/client/render/block/model/FarmlandBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelFarmland.java
index bf777338d..3d01103ac 100644
--- a/src/main/java/net/minecraft/client/render/block/model/FarmlandBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelFarmland.java
@@ -4,26 +4,26 @@ import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.FarmlandBlock;
+import net.minecraft.core.block.BlockFarmland;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 
-public class FarmlandBlockModel<T extends Block> extends StandardBlockModel<T> {
+public class BlockModelFarmland<T extends Block> extends BlockModelStandard<T> {
     protected IconCoordinate topWet = TextureRegistry.getTexture("minecraft:block/farmland/wet_top");
     protected IconCoordinate topWetFertilized = TextureRegistry.getTexture("minecraft:block/farmland/wet_fertilized_top");
     protected IconCoordinate topDry = TextureRegistry.getTexture("minecraft:block/farmland/dry_top");
     protected IconCoordinate topDryFertilized = TextureRegistry.getTexture("minecraft:block/farmland/dry_fertilized_top");
     protected IconCoordinate mud = TextureRegistry.getTexture("minecraft:block/farmland/wet");
 
-    public FarmlandBlockModel(Block block) {
+    public BlockModelFarmland(Block block) {
         super(block);
     }
 
     @Override
     public IconCoordinate getBlockTextureFromSideAndMetadata(Side side, final int data)
     {
-        boolean isWet = FarmlandBlock.isWet(data);
-        boolean isFertilized = FarmlandBlock.isFertilized(data);
+        boolean isWet = BlockFarmland.isWet(data);
+        boolean isFertilized = BlockFarmland.isFertilized(data);
 
         if (side == Side.TOP) {
             if (isWet && isFertilized) {
diff --git a/src/main/java/net/minecraft/client/render/block/model/FenceBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelFence.java
similarity index 97%
rename from src/main/java/net/minecraft/client/render/block/model/FenceBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelFence.java
index c9b06bace..4829a7b28 100644
--- a/src/main/java/net/minecraft/client/render/block/model/FenceBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelFence.java
@@ -3,13 +3,13 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.client.render.block.color.BlockColorDispatcher;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.FenceBlock;
+import net.minecraft.core.block.BlockFence;
 import net.minecraft.core.util.helper.Side;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 
-public class FenceBlockModel<T  extends FenceBlock> extends StandardBlockModel<T> {
-    public FenceBlockModel(Block block) {
+public class BlockModelFence<T  extends BlockFence> extends BlockModelStandard<T> {
+    public BlockModelFence(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/FenceGateBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelFenceGate.java
similarity index 97%
rename from src/main/java/net/minecraft/client/render/block/model/FenceGateBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelFenceGate.java
index ebfcf58ea..d9b674c8a 100644
--- a/src/main/java/net/minecraft/client/render/block/model/FenceGateBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelFenceGate.java
@@ -3,13 +3,13 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.client.render.block.color.BlockColorDispatcher;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.FenceGateBlock;
+import net.minecraft.core.block.BlockFenceGate;
 import net.minecraft.core.util.helper.Side;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 
-public class FenceGateBlockModel<T extends FenceGateBlock> extends StandardBlockModel<T> {
-    public FenceGateBlockModel(Block block) {
+public class BlockModelFenceGate<T extends BlockFenceGate> extends BlockModelStandard<T> {
+    public BlockModelFenceGate(Block block) {
         super(block);
     }
 
@@ -18,8 +18,8 @@ public class FenceGateBlockModel<T extends FenceGateBlock> extends StandardBlock
         block.setBlockBoundsBasedOnState(renderBlocks.blockAccess, x, y, z);
         boolean flag = true;
         int l = renderBlocks.blockAccess.getBlockMetadata(x, y, z);
-        boolean flag1 = FenceGateBlock.isOpen(l);
-        int i1 = FenceGateBlock.getDirection(l);
+        boolean flag1 = BlockFenceGate.isOpen(l);
+        int i1 = BlockFenceGate.getDirection(l);
         if(i1 == 3 || i1 == 1)
         {
             float f = 0.4375F;
diff --git a/src/main/java/net/minecraft/client/render/block/model/FenceGatePaintedBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelFenceGatePainted.java
similarity index 57%
rename from src/main/java/net/minecraft/client/render/block/model/FenceGatePaintedBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelFenceGatePainted.java
index 9e0419584..d9603f8fc 100644
--- a/src/main/java/net/minecraft/client/render/block/model/FenceGatePaintedBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelFenceGatePainted.java
@@ -2,17 +2,17 @@ package net.minecraft.client.render.block.model;
 
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.FenceGateBlock;
+import net.minecraft.core.block.BlockFenceGate;
 import net.minecraft.core.util.helper.Side;
 
-public class FenceGatePaintedBlockModel<T extends FenceGateBlock> extends FenceGateBlockModel<T> {
-    public FenceGatePaintedBlockModel(Block block) {
+public class BlockModelFenceGatePainted<T extends BlockFenceGate> extends BlockModelFenceGate<T> {
+    public BlockModelFenceGatePainted(Block block) {
         super(block);
     }
 
     @Override
     public IconCoordinate getBlockTextureFromSideAndMetadata(Side side, int meta) {
         meta = meta >> 4;
-        return PlanksPaintedBlockModel.texCoords[meta & 0x0F];
+        return BlockModelPlanksPainted.texCoords[meta & 0x0F];
     }
 }
diff --git a/src/main/java/net/minecraft/client/render/block/model/FencePaintedBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelFencePainted.java
similarity index 58%
rename from src/main/java/net/minecraft/client/render/block/model/FencePaintedBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelFencePainted.java
index 86aca6978..10ef9687a 100644
--- a/src/main/java/net/minecraft/client/render/block/model/FencePaintedBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelFencePainted.java
@@ -2,18 +2,18 @@ package net.minecraft.client.render.block.model;
 
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.FenceBlock;
+import net.minecraft.core.block.BlockFence;
 import net.minecraft.core.util.helper.Side;
 
-public class FencePaintedBlockModel<T extends FenceBlock> extends FenceBlockModel<T> {
+public class BlockModelFencePainted<T extends BlockFence> extends BlockModelFence<T> {
 
 
-    public FencePaintedBlockModel(Block block) {
+    public BlockModelFencePainted(Block block) {
         super(block);
     }
 
     @Override
     public IconCoordinate getBlockTextureFromSideAndMetadata(Side side, int meta) {
-        return PlanksPaintedBlockModel.texCoords[meta & 15];
+        return BlockModelPlanksPainted.texCoords[meta & 15];
     }
 }
diff --git a/src/main/java/net/minecraft/client/render/block/model/FenceThinBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelFenceThin.java
similarity index 98%
rename from src/main/java/net/minecraft/client/render/block/model/FenceThinBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelFenceThin.java
index 9dd8e40a6..6127db045 100644
--- a/src/main/java/net/minecraft/client/render/block/model/FenceThinBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelFenceThin.java
@@ -6,18 +6,18 @@ import net.minecraft.client.render.block.color.BlockColorDispatcher;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.ThinFenceBlock;
+import net.minecraft.core.block.BlockFenceThin;
 import net.minecraft.core.util.helper.Direction;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 
-public class FenceThinBlockModel<T extends ThinFenceBlock> extends StandardBlockModel<T> {
+public class BlockModelFenceThin<T extends BlockFenceThin> extends BlockModelStandard<T> {
     private final IconCoordinate texIndex;
     private final IconCoordinate bottomTexIndex;
     private final IconCoordinate topTexIndex;
     private final IconCoordinate columnTexIndex;
 
-    public FenceThinBlockModel(Block block, IconCoordinate texIndex, IconCoordinate bottomTexIndex, IconCoordinate topTexIndex, IconCoordinate columnTexIndex){
+    public BlockModelFenceThin(Block block, IconCoordinate texIndex, IconCoordinate bottomTexIndex, IconCoordinate topTexIndex, IconCoordinate columnTexIndex){
         super(block);
         this.texIndex = texIndex;
         this.bottomTexIndex = bottomTexIndex;
diff --git a/src/main/java/net/minecraft/client/render/block/model/FireBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelFire.java
similarity index 94%
rename from src/main/java/net/minecraft/client/render/block/model/FireBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelFire.java
index c5030e9a7..0bbe850cb 100644
--- a/src/main/java/net/minecraft/client/render/block/model/FireBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelFire.java
@@ -5,17 +5,17 @@ import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.FireBlock;
+import net.minecraft.core.block.BlockFire;
 import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.util.helper.Side;
 
-public class FireBlockModel<T extends Block> extends StandardBlockModel<T> {
+public class BlockModelFire<T extends Block> extends BlockModelStandard<T> {
     private final boolean overrideRender;
-    public FireBlockModel(Block block) {
+    public BlockModelFire(Block block) {
         this(block, false);
     }
 
-    public FireBlockModel(Block block, boolean overrideRender) {
+    public BlockModelFire(Block block, boolean overrideRender) {
         super(block);
         this.overrideRender = overrideRender;
     }
@@ -40,7 +40,7 @@ public class FireBlockModel<T extends Block> extends StandardBlockModel<T> {
         double vMin = tex.getIconVMin();
         double vMax = tex.getIconVMax();
         final float yOffset = 1.4F;
-        if(overrideRender || renderBlocks.blockAccess.isBlockNormalCube(x, y - 1, z) || ((FireBlock)Blocks.FIRE).canBurn(renderBlocks.blockAccess, x, y - 1, z))
+        if(overrideRender || renderBlocks.blockAccess.isBlockNormalCube(x, y - 1, z) || ((BlockFire)Blocks.FIRE).canBurn(renderBlocks.blockAccess, x, y - 1, z))
         {
             double d8 = (double)x + 0.5D + 0.2D;
             double d9 = ((double)x + 0.5D) - 0.2D;
@@ -115,7 +115,7 @@ public class FireBlockModel<T extends Block> extends StandardBlockModel<T> {
                 uMax = uMin;
                 uMin = d10;
             }
-            if(((FireBlock)Blocks.FIRE).canBurn(renderBlocks.blockAccess, x - 1, y, z))
+            if(((BlockFire)Blocks.FIRE).canBurn(renderBlocks.blockAccess, x - 1, y, z))
             {
                 tessellator.addVertexWithUV((float)x + f3, (float)y + yOffset + f4, z + 1, uMax, vMin);
                 tessellator.addVertexWithUV(x, (float)(y) + f4, z + 1, uMax, vMax);
@@ -126,7 +126,7 @@ public class FireBlockModel<T extends Block> extends StandardBlockModel<T> {
                 tessellator.addVertexWithUV(x, (float)(y) + f4, z + 1, uMax, vMax);
                 tessellator.addVertexWithUV((float)x + f3, (float)y + yOffset + f4, z + 1, uMax, vMin);
             }
-            if(((FireBlock)Blocks.FIRE).canBurn(renderBlocks.blockAccess, x + 1, y, z))
+            if(((BlockFire)Blocks.FIRE).canBurn(renderBlocks.blockAccess, x + 1, y, z))
             {
                 tessellator.addVertexWithUV((float)(x + 1) - f3, (float)y + yOffset + f4, z, uMin, vMin);
                 tessellator.addVertexWithUV((x + 1), (float)(y) + f4, z, uMin, vMax);
@@ -137,7 +137,7 @@ public class FireBlockModel<T extends Block> extends StandardBlockModel<T> {
                 tessellator.addVertexWithUV((x + 1), (float)(y) + f4, z, uMin, vMax);
                 tessellator.addVertexWithUV((float)(x + 1) - f3, (float)y + yOffset + f4, z, uMin, vMin);
             }
-            if(((FireBlock)Blocks.FIRE).canBurn(renderBlocks.blockAccess, x, y, z - 1))
+            if(((BlockFire)Blocks.FIRE).canBurn(renderBlocks.blockAccess, x, y, z - 1))
             {
                 tessellator.addVertexWithUV(x, (float)y + yOffset + f4, (float)z + f3, uMax, vMin);
                 tessellator.addVertexWithUV(x, (float)(y) + f4, z, uMax, vMax);
@@ -148,7 +148,7 @@ public class FireBlockModel<T extends Block> extends StandardBlockModel<T> {
                 tessellator.addVertexWithUV(x, (float)(y) + f4, z, uMax, vMax);
                 tessellator.addVertexWithUV(x, (float)y + yOffset + f4, (float)z + f3, uMax, vMin);
             }
-            if(((FireBlock)Blocks.FIRE).canBurn(renderBlocks.blockAccess, x, y, z + 1))
+            if(((BlockFire)Blocks.FIRE).canBurn(renderBlocks.blockAccess, x, y, z + 1))
             {
                 tessellator.addVertexWithUV(x + 1, (float)y + yOffset + f4, (float)(z + 1) - f3, uMin, vMin);
                 tessellator.addVertexWithUV(x + 1, (float)(y) + f4, (z + 1), uMin, vMax);
@@ -159,7 +159,7 @@ public class FireBlockModel<T extends Block> extends StandardBlockModel<T> {
                 tessellator.addVertexWithUV(x + 1, (float)(y) + f4, (z + 1), uMin, vMax);
                 tessellator.addVertexWithUV(x + 1, (float)y + yOffset + f4, (float)(z + 1) - f3, uMin, vMin);
             }
-            if(((FireBlock)Blocks.FIRE).canBurn(renderBlocks.blockAccess, x, y + 1, z))
+            if(((BlockFire)Blocks.FIRE).canBurn(renderBlocks.blockAccess, x, y + 1, z))
             {
                 double d11 = (double)x + 0.5D + 0.5D;
                 double d13 = ((double)x + 0.5D) - 0.5D;
diff --git a/src/main/java/net/minecraft/client/render/block/model/StackedFlowerBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelFlowerStackable.java
similarity index 76%
rename from src/main/java/net/minecraft/client/render/block/model/StackedFlowerBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelFlowerStackable.java
index 8112551f7..41b48e2f2 100644
--- a/src/main/java/net/minecraft/client/render/block/model/StackedFlowerBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelFlowerStackable.java
@@ -1,30 +1,30 @@
-package net.minecraft.client.render.block.model;
-
-import net.minecraft.client.render.texture.stitcher.IconCoordinate;
-import net.minecraft.client.render.texture.stitcher.TextureRegistry;
-import net.minecraft.core.block.Block;
-import net.minecraft.core.block.StackedFlowerBlock;
-import net.minecraft.core.util.helper.Side;
-
-public class StackedFlowerBlockModel<T extends StackedFlowerBlock> extends CrossedSquaresBlockModel<T> {
-    private final IconCoordinate[] ICONS;
-
-    public StackedFlowerBlockModel(Block block, String baseTexture) {
-        super(block);
-
-        ICONS = new IconCoordinate[T.MAX_STACK_COUNT + 1];
-        for (int i = 0; i < T.MAX_STACK_COUNT + 1; i++) {
-            ICONS[i] = TextureRegistry.getTexture(baseTexture + i);
-        }
-    }
-
-    @Override
-    public IconCoordinate getBlockTextureFromSideAndMetadata(Side side, int data) {
-        final int stackCount = T.getStackCount(data);
-        if (stackCount > T.MAX_STACK_COUNT) {
-            return ICONS[0];
-        }
-
-        return ICONS[stackCount];
-    }
-}
+package net.minecraft.client.render.block.model;
+
+import net.minecraft.client.render.texture.stitcher.IconCoordinate;
+import net.minecraft.client.render.texture.stitcher.TextureRegistry;
+import net.minecraft.core.block.Block;
+import net.minecraft.core.block.BlockFlowerStackable;
+import net.minecraft.core.util.helper.Side;
+
+public class BlockModelFlowerStackable<T extends BlockFlowerStackable> extends BlockModelCrossedSquares<T> {
+    private final IconCoordinate[] ICONS;
+
+    public BlockModelFlowerStackable(Block block, String baseTexture) {
+        super(block);
+
+        ICONS = new IconCoordinate[T.MAX_STACK_COUNT + 1];
+        for (int i = 0; i < T.MAX_STACK_COUNT + 1; i++) {
+            ICONS[i] = TextureRegistry.getTexture(baseTexture + i);
+        }
+    }
+
+    @Override
+    public IconCoordinate getBlockTextureFromSideAndMetadata(Side side, int data) {
+        final int stackCount = T.getStackCount(data);
+        if (stackCount > T.MAX_STACK_COUNT) {
+            return ICONS[0];
+        }
+
+        return ICONS[stackCount];
+    }
+}
diff --git a/src/main/java/net/minecraft/client/render/block/model/FluidBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelFluid.java
similarity index 95%
rename from src/main/java/net/minecraft/client/render/block/model/FluidBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelFluid.java
index 648c2abbc..2f31f7fa6 100644
--- a/src/main/java/net/minecraft/client/render/block/model/FluidBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelFluid.java
@@ -5,14 +5,14 @@ import net.minecraft.client.render.block.color.BlockColorDispatcher;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.FluidBlock;
+import net.minecraft.core.block.BlockFluid;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 
-public class FluidBlockModel<T extends Block> extends StandardBlockModel<T> {
-    public FluidBlockModel(Block block) {
+public class BlockModelFluid<T extends Block> extends BlockModelStandard<T> {
+    public BlockModelFluid(Block block) {
         super(block);
     }
 
@@ -46,15 +46,15 @@ public class FluidBlockModel<T extends Block> extends StandardBlockModel<T> {
         final float yOff = 0.001f;
         Material material = block.blockMaterial;
         int meta = renderBlocks.blockAccess.getBlockMetadata(x, y, z);
-        float f7 = FluidBlock.getFluidHeight(renderBlocks.blockAccess, x, y, z, material);
-        float f8 = FluidBlock.getFluidHeight(renderBlocks.blockAccess, x, y, z + 1, material);
-        float f9 = FluidBlock.getFluidHeight(renderBlocks.blockAccess, x + 1, y, z + 1, material);
-        float f10 = FluidBlock.getFluidHeight(renderBlocks.blockAccess, x + 1, y, z, material);
+        float f7 = BlockFluid.getFluidHeight(renderBlocks.blockAccess, x, y, z, material);
+        float f8 = BlockFluid.getFluidHeight(renderBlocks.blockAccess, x, y, z + 1, material);
+        float f9 = BlockFluid.getFluidHeight(renderBlocks.blockAccess, x + 1, y, z + 1, material);
+        float f10 = BlockFluid.getFluidHeight(renderBlocks.blockAccess, x + 1, y, z, material);
         if(renderBlocks.renderAllFaces || renderTop)
         {
             didRender = true;
             IconCoordinate texture = getBlockTextureFromSideAndMetadata(Side.TOP, meta);
-            float rotation = (float) FluidBlock.getSlopeAngle(renderBlocks.blockAccess, x, y, z, material);
+            float rotation = (float) BlockFluid.getSlopeAngle(renderBlocks.blockAccess, x, y, z, material);
             if(rotation > -999F)
             {
                 texture = getBlockTextureFromSideAndMetadata(Side.NORTH, meta);
